close all;                                               % 모든 생성된 창을 닫음 
clear all;                                               % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                                     % 명령(command) 창을 비움

N=1024;                                                  % 데이터 수 설정 
dw=2*pi/N;                                               % 주파수 간격 설정
w=dw*[0:N-1];                                            % 주파수축 생성
Hw=1./(1-1.5*exp(-j*w)+0.85*exp(-j*2*w));                % 주파수 응답 H(Omega) 계산
H=Hw(1:N/2);                                             % H(Omega)를 [0 pi] 구간만 취함 
w0=find(abs(H)>=max(abs(H)))*dw                          % 통과대역 중심 주파수 찾음 
wc1=find(abs(H)>=max(abs(H))/sqrt(2),1,'first')*dw       % 하측대역 차단 주파수 찾음
wc2=find(abs(H)>=max(abs(H))/sqrt(2),1,'last')*dw        % 상측대역 차단 주파수 찾음

subplot(2,1,1);                                          % 2행 1열 분할 그림 창의 1번 창 
plot(w(1:N/2),abs(H));                                   % 진폭 응답을 그림
title('\bf{진폭 응답}');                                  % 그림 제목 
xlabel('\bf{\Omega}');                                   % x축 라벨 표시 
subplot(2,1,2);                                          % 2행 1열 분할 그림 창의 2번 창 
plot(w(1:N/2),angle(H));                                 % 위상 응답을 그림
title('\bf{위상 응답}');                                  % 그림 제목
xlabel('\bf{\Omega}');                                   % x축 라벨 표시 